[Tarantool-patches] [PATCH v1 1/3] update_repo: add message which file to remove
Alexander V. Tikhonov
avtikhon at tarantool.org
Sun Oct 25 11:37:42 MSK 2020
Added message which file to remove to be sure that the needed files
were searched to remove.
---
tools/update_repo.sh | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/tools/update_repo.sh b/tools/update_repo.sh
index 99896664d..8e43f2442 100755
--- a/tools/update_repo.sh
+++ b/tools/update_repo.sh
@@ -486,8 +486,10 @@ function remove_deb {
# remove all found file by the given pattern in options
for suffix in '-1_all.deb' '-1_amd64.deb' '-1.dsc' '-1.debian.tar.xz' '.orig.tar.xz' ; do
- $aws ls "$bucket_path/$poolpath/${remove}$suffix" || continue
- $aws rm "$bucket_path/$poolpath/${remove}$suffix"
+ file="$bucket_path/$poolpath/${remove}$suffix"
+ echo "Searching to remove: $file"
+ $aws ls "$file" || continue
+ $aws rm "$file"
done
}
@@ -878,6 +880,7 @@ function remove_rpm {
# storage, but does not mentioned in the metadata.
for suffix in 'x86_64' 'noarch' 'src'; do
file="$bucket_path/$packpath/${remove}-1.${os}${option_dist}.${suffix}.rpm"
+ echo "Searching to remove: $file"
$aws ls $file || continue
$aws rm $file
done
--
2.25.1
More information about the Tarantool-patches
mailing list